 <!-- <nz-layout> -->
<!-- <app-header></app-header> -->

<nz-layout class="flex h-full">
  <nz-layout>

    <nz-sider nzCollapsible nzWidth="200px" nzBreakpoint="xxl" [nzCollapsedWidth]="80" [(nzCollapsed)]="isCollapsed" [nzTrigger]="null"
      class="fixed h-full bg-gradient-to-r from-slate-50 to-slate-100 drop-shadow">
      <!-- <div class="logo">logo</div> -->
      <div class="flex justify-center mb-6 ...">
        <div class="p-2 mt-3 rounded-full bg-indigo-500 shadow-lg shadow-indigo-500/50 w-11 h-11 outline outline-offset-4 content-center">
          <i class="fa-solid fa-bed-pulse text-2xl text-white stroke-cyan-500 text-center"></i>
        </div>
      </div>

      <ul nz-menu
        nzMode="inline" class="justify-start -ml-2 bg-transparent">
        <li nz-menu-item nzTooltipTitle="Dashboard" nzTooltipPlacement="top" nz-button nz-tooltip>
          <span nz-icon>
            <span class="fa-solid fa-chart-pie text-2xl"></span>
          </span>
          <span>Dashboard</span>
        </li>
        <li nz-submenu [nzTitle]="ward" nzIcon routerLink="/doctor/listward" routerLinkActive="ant-menu-item-selected" nzTooltipTitle="Ward" nzTooltipPlacement="top" nz-button nz-tooltip class="justify-start">
          <ul>
            <li nz-menu-item routerLink="/doctor/list-patient" routerLinkActive="ant-menu-item-selected">อายุรกรรมชาย</li>
            <li nz-menu-item>อายุกรรมหญิง</li>
          </ul>
          <ng-template #ward>
            <span nz-icon>
              <span class="fa-solid fa-building-user text-2xl"></span>
            </span>
            <span>Ward</span>
          </ng-template>
        </li>
        <li nz-menu-item nzTooltipTitle="Oreder" nzTooltipPlacement="top" nz-button nz-tooltip>
          <span nz-icon>
            <span class="fa-solid fa-file-invoice text-2xl"></span>
          </span>
          <span>Oreder</span>
        </li>
        <li nz-menu-item nzTooltipTitle="Lab" nzTooltipPlacement="top" nz-button nz-tooltip>
          <span nz-icon>
            <span class="fa-solid fa-flask text-2xl"></span>
          </span>
          <span>Lab</span>
        </li>
        <li nz-menu-item nzTooltipTitle="Xray" nzTooltipPlacement="top" nz-button nz-tooltip>
          <span nz-icon>
            <span class="fa-solid fa-circle-radiation text-2xl"></span>
          </span>
          <span>Xrays</span>
        </li>

      </ul>

    </nz-sider>
  </nz-layout>

  <!-- <nz-layout class="h-full" [ngClass]="{'xs:ml-[200px] sm:ml-20 md:ml-30 lg:ml-30 xl:ml-30': isCollapsed, 'xs:ml-40 sm:ml-40 md:ml-60 lg:ml-50 xl:ml-50': !isCollapsed, }"> -->
  <nz-layout class="h-full" [ngClass]="{'ml-[80px]': isCollapsed, 'ml-[200px]': !isCollapsed, }">

    <div class="flex flex-row z-50 h-14 bg-gradient-to-r from-slate-100 to-slate-200 opacity-90 items-center p-6 fixed mt-0 w-full">
      <div class="col w-full">

        <div class="flex items-center ">
          <div class="flex-none w-18  ...">
            <span
              class="trigger p-2 bg-slate-300 cursor-pointer mr-2"
              nz-icon
              [nzType]="isCollapsed ? 'menu-unfold' : 'menu-fold'"
              (click)="isCollapsed = !isCollapsed"
              style="font-size: 18px; color: rgb(1, 17, 26);"></span>

          </div>
          <div class="grow  ...">
            <span class="font-extrabold">SMART IPD </span>
          </div>

        </div>

      </div>
      <div class="col w-full items-end">
        <div class="flex flex-row justify-end">

          <div nz-col nzSpan="24" class="flex justify-end items-center h-full border-0 rounded-full" style="align-items: baseline;">
            <nz-button-group class="border-0 h-full rounded-full mr-14">
              <button nz-button nz-dropdown [nzDropdownMenu]="menu2" nzPlacement="bottomRight"
                class="rounded-2xl flex justify-end items-center bg-inherit text-blue-900 border-0  rounded-full hover:bg-inherit">
                <span> สวัสดีคุณ :{{user_login_name}}</span>&nbsp;
                <span nz-icon nzType="user" class="text-green-500 text-md">
                </span>
              </button>
            </nz-button-group>
            <nz-dropdown-menu #menu2="nzDropdownMenu">
              <ul nz-menu>
                <li nz-menu-item><i class="fas fa-user-edit text-green-600 text-md"></i>&nbsp;User Profies</li>
                <li nz-submenu nzTitle="Themes" nzIcon="laptop">
                  <ul>
                    <li nz-menu-item><i class="fa-regular fa-lightbulb text-black-600 text-md"></i>&nbsp;Light</li>
                    <li nz-menu-item><i class="fa-solid fa-lightbulb text-black-600 text-md"></i>&nbsp;Dark</li>
                  </ul>
                </li>
                <li nz-menu-item (click)="logOut()">
                  <i class="fas fa-power-off text-red-600 text-md" (click)="logOut()"></i>
                  &nbsp;Log Out
                </li>
              </ul>
            </nz-dropdown-menu>
          </div>

        </div>
      </div>

    </div>
    <div class="flex flex-row mt-16 pl-5 pt-4 w-full items-center ">
      <!-- <div class="w-fit">
        <span
          class="trigger p-2 bg-slate-200 cursor-pointer mr-2"
          nz-icon
          [nzType]="isCollapsed ? 'menu-unfold' : 'menu-fold'"
          (click)="isCollapsed = !isCollapsed"
          style="font-size: 18px; color: rgb(1, 17, 26);"></span>
      </div> -->
      <div class="text-gray-500 w-16 items-center align-middle cursor-pointer" (click)="navigateHome()">หน้าหลัก </div>
      <div class="w-fit text-gray-500">/&nbsp;&nbsp;</div>
      <div class="w-full border-b-2">
        <nz-breadcrumb [nzAutoGenerate]="true"></nz-breadcrumb>
      </div>
    </div>

    <router-outlet></router-outlet>
    <div class="fixed bottom-0 w-full  bg-gradient-to-r from-slate-50 to-slate-100 drop-shadow text-gray-500 p-4">
      <!-- <app-footer></app-footer> -->
      ©2023 Implement By Dev-AA Team (v1.0.0)

    </div>

  </nz-layout>

</nz-layout>
